Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.jbosscache
Class JBossCacheConnectorI18n

    java.lang.Object
      org.modeshape.connector.jbosscache.JBossCacheConnectorI18n

    public final class JBossCacheConnectorI18n

extends Object

The internationalized string constants for the `org.modeshape.connector.jbosscache*` packages.

Field Summary
`static I18n` | `cacheConfigurationNamePropertyCategory`
`static I18n` | `cacheConfigurationNamePropertyDescription`
`static I18n` | `cacheConfigurationNamePropertyLabel`
`static I18n` | `cacheFactoryJndiNamePropertyCategory`
`static I18n` | `cacheFactoryJndiNamePropertyDescription`
`static I18n` | `cacheFactoryJndiNamePropertyLabel`
`static I18n` | `cacheJndiNamePropertyCategory`
`static I18n` | `cacheJndiNamePropertyDescription`
`static I18n` | `cacheJndiNamePropertyLabel`
`static I18n` | `configFileNotFound`
`static I18n` | `configFileNotValid`
`static I18n` | `connectorName`
`static I18n` | `creatingWorkspacesAllowedPropertyCategory`
`static I18n` | `creatingWorkspacesAllowedPropertyDescription`
`static I18n` | `creatingWorkspacesAllowedPropertyLabel`
`static I18n` | `defaultCacheFactoryConfigurationNameWasNotValidConfiguration`
`static I18n` | `defaultWorkspaceNamePropertyCategory`
`static I18n` | `defaultWorkspaceNamePropertyDescription`
`static I18n` | `defaultWorkspaceNamePropertyLabel`
`static I18n` | `errorSerializingCachePolicyInSource`
`static I18n` | `namePropertyCategory`
`static I18n` | `namePropertyDescription`
`static I18n` | `namePropertyLabel`
`static I18n` | `objectFoundInJndiWasNotCacheFactory`
`static I18n` | `predefinedWorkspaceNamesPropertyCategory`
`static I18n` | `predefinedWorkspaceNamesPropertyDescription`
`static I18n` | `predefinedWorkspaceNamesPropertyLabel`
`static I18n` | `propertyIsRequired`
`static I18n` | `retryLimitPropertyCategory`
`static I18n` | `retryLimitPropertyDescription`
`static I18n` | `retryLimitPropertyLabel`
`static I18n` | `rootNodeUuidPropertyCategory`
`static I18n` | `rootNodeUuidPropertyDescription`
`static I18n` | `rootNodeUuidPropertyLabel`
`static I18n` | `unableToCreateWorkspace`
`static I18n` | `updatesAllowedPropertyCategory`
`static I18n` | `updatesAllowedPropertyDescription`
`static I18n` | `updatesAllowedPropertyLabel`
`static I18n` | `workspaceNameWasNotValidConfiguration`

Constructor Summary
`JBossCacheConnectorI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectorName

    public static I18n connectorName

### propertyIsRequired

    public static I18n propertyIsRequired

### errorSerializingCachePolicyInSource

    public static I18n errorSerializingCachePolicyInSource

### objectFoundInJndiWasNotCacheFactory

    public static I18n objectFoundInJndiWasNotCacheFactory

### unableToCreateWorkspace

    public static I18n unableToCreateWorkspace

### configFileNotFound

    public static I18n configFileNotFound

### configFileNotValid

    public static I18n configFileNotValid

### workspaceNameWasNotValidConfiguration

    public static I18n workspaceNameWasNotValidConfiguration

### defaultCacheFactoryConfigurationNameWasNotValidConfiguration

    public static I18n defaultCacheFactoryConfigurationNameWasNotValidConfiguration

### namePropertyDescription

    public static I18n namePropertyDescription

### namePropertyLabel

    public static I18n namePropertyLabel

### namePropertyCategory

    public static I18n namePropertyCategory

### rootNodeUuidPropertyDescription

    public static I18n rootNodeUuidPropertyDescription

### rootNodeUuidPropertyLabel

    public static I18n rootNodeUuidPropertyLabel

### rootNodeUuidPropertyCategory

    public static I18n rootNodeUuidPropertyCategory

### cacheJndiNamePropertyDescription

    public static I18n cacheJndiNamePropertyDescription

### cacheJndiNamePropertyLabel

    public static I18n cacheJndiNamePropertyLabel

### cacheJndiNamePropertyCategory

    public static I18n cacheJndiNamePropertyCategory

### cacheFactoryJndiNamePropertyDescription

    public static I18n cacheFactoryJndiNamePropertyDescription

### cacheFactoryJndiNamePropertyLabel

    public static I18n cacheFactoryJndiNamePropertyLabel

### cacheFactoryJndiNamePropertyCategory

    public static I18n cacheFactoryJndiNamePropertyCategory

### cacheConfigurationNamePropertyDescription

    public static I18n cacheConfigurationNamePropertyDescription

### cacheConfigurationNamePropertyLabel

    public static I18n cacheConfigurationNamePropertyLabel

### cacheConfigurationNamePropertyCategory

    public static I18n cacheConfigurationNamePropertyCategory

### creatingWorkspacesAllowedPropertyDescription

    public static I18n creatingWorkspacesAllowedPropertyDescription

### creatingWorkspacesAllowedPropertyLabel

    public static I18n creatingWorkspacesAllowedPropertyLabel

### creatingWorkspacesAllowedPropertyCategory

    public static I18n creatingWorkspacesAllowedPropertyCategory

### defaultWorkspaceNamePropertyDescription

    public static I18n defaultWorkspaceNamePropertyDescription

### defaultWorkspaceNamePropertyLabel

    public static I18n defaultWorkspaceNamePropertyLabel

### defaultWorkspaceNamePropertyCategory

    public static I18n defaultWorkspaceNamePropertyCategory

### predefinedWorkspaceNamesPropertyDescription

    public static I18n predefinedWorkspaceNamesPropertyDescription

### predefinedWorkspaceNamesPropertyLabel

    public static I18n predefinedWorkspaceNamesPropertyLabel

### predefinedWorkspaceNamesPropertyCategory

    public static I18n predefinedWorkspaceNamesPropertyCategory

### retryLimitPropertyDescription

    public static I18n retryLimitPropertyDescription

### retryLimitPropertyLabel

    public static I18n retryLimitPropertyLabel

### retryLimitPropertyCategory

    public static I18n retryLimitPropertyCategory

### updatesAllowedPropertyDescription

    public static I18n updatesAllowedPropertyDescription

### updatesAllowedPropertyLabel

    public static I18n updatesAllowedPropertyLabel

### updatesAllowedPropertyCategory

    public static I18n updatesAllowedPropertyCategory

Constructor Detail

### JBossCacheConnectorI18n

    public JBossCacheConnectorI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.